<div class="spacer"></div>
<div class="ui three top attached buttons">
    <div style="font-size: 18px;" class="ui button" (click)="changeDramaVisibility()">DRAMA</div>
    <div style="font-size: 18px;" class="ui button" (click)="changeComedyVisibility()">KOMEDIJA</div>
    <div style="font-size: 18px;" class="ui button" (click)="changeTragedyVisibility()">TRAGEDIJA</div>
</div>


<div class="ui inverted divider" *ngIf="condition(); else chooseGenre"></div>
    <ng-template #chooseGenre>
        <div class="ui inverted divider"></div>
        <div style="font-size: 15px;" class="ui grey label fluid center aligned container">Odaberite zeljeni zanr!</div>
    </ng-template>


<div>
    <div class="two one column">
        <div class="ui hidden divider"></div>
        <div class="ui hidden divider"></div>
        <div class="ui hidden divider"></div>
        <div class="back">
        <i class="big calendar alternate outline icon" (click)="changeCalendarVisibility()"  ></i>
        </div>
        <div class="ui hidden divider"></div>
      </div>

      <div class="field" *ngIf="calendarVisibility">
        <input type="date" name="date" #inputDate (input) = "filterUsingDate()">
        <div class="ui divided items" *ngIf="isDate">
            <h3 *ngIf="sizePerDate">Predstave za odabrani datum: </h3>
            <app-performance-info class = "ui item" *ngFor="let performance of performancesByDate | async" [performanceData]="performance"></app-performance-info>
        </div>
    </div>

    <div class="ui divided items" *ngIf="showDramas">
        <h3>Drame: </h3>
        <app-performance-info class = "ui item" *ngFor="let performance of dramaList | async" [performanceData]="performance"></app-performance-info>
    </div>

    <div class="ui divided items" *ngIf="showComedies">
        <h3>Komedije: </h3>
        <app-performance-info class = "ui item" *ngFor="let performance of comedyList | async" [performanceData]="performance"></app-performance-info>
    </div>

    <div class="ui divided items" *ngIf="showTragedies">
        <h3>Tragedije: </h3>
        <app-performance-info class = "ui item" *ngFor="let performance of tragedyList | async" [performanceData]="performance"></app-performance-info>
    </div>


</div>
<div class="spacer2"></div>



